Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Class ASTField

    java.lang.Object
      org.jboss.aop.pointcut.ast.SimpleNode
          org.jboss.aop.pointcut.ast.ASTField

All Implemented Interfaces:
  Node

public class ASTField
extends SimpleNode

Field Summary

Fields inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTField(int id)`
`ASTField(PointcutExpressionParser p, int id)`

Method Summary
`ArrayList` | `getAttributes()`
`String` | `getClassExpr()`
`ClassExpression` | `getClazz()`
`String` | `getFieldExpr()`
`IdentifierExpression` | `getFieldIdentifier()`
`ClassExpression` | `getType()`
`String` | `getTypeExpression()`
`Object` | `jjtAccept(PointcutExpressionParserVisitor visitor, Object data)` Accept the visitor.
`Object` | `jjtAccept(TypeExpressionParserVisitor visitor, Object data)` Accept the visitor.
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `setClassExpr(String classExpr)`
`void` | `setFieldExpr(String fieldExpr)`
`void` | `setTypeExpression(String type)`

Methods inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`childrenAccept, childrenAccept, dump, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTField

    public ASTField(int id)

### ASTField

    public ASTField(PointcutExpressionParser p,
                    int id)

Method Detail

### jjtAccept

    public Object jjtAccept(PointcutExpressionParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### jjtAccept

    public Object jjtAccept(TypeExpressionParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  Description copied from interface: `Node`
  This method tells the node to add its argument to the node's list of children.

  Specified by:
    `jjtAddChild` in interface `Node`
  Overrides:
    `jjtAddChild` in class `SimpleNode`

### setTypeExpression

    public void setTypeExpression(String type)

### getTypeExpression

    public String getTypeExpression()

### getClassExpr

    public String getClassExpr()

### getFieldExpr

    public String getFieldExpr()

### setClassExpr

    public void setClassExpr(String classExpr)

### setFieldExpr

    public void setFieldExpr(String fieldExpr)

### getAttributes

    public ArrayList getAttributes()

### getType

    public ClassExpression getType()

### getClazz

    public ClassExpression getClazz()

### getFieldIdentifier

    public IdentifierExpression getFieldIdentifier()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.